vcs

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category General
  • Assigned To
    outlyer
  • Operating System
  • Severity Low
  • Priority Very Low
  • Reported Version 1.11.1
  • Due in Version 1.11.2
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: vcs
Opened by outlyer - 12.03.2010
Last edited by outlyer - 18.03.2010

FS#132 - Cleanup regression: empty temporary dir left behind

Safe length measuring creates extra temporary directories that aren’t removed properly

Closed by  outlyer
18.03.2010 23:39
Reason for closing:  Fixed
Additional comments about closing:  

Fixed in 1.11.2

Admin

Patch:

--- /usr/bin/vcs	2010-03-12 02:14:14.000000000 +0100
+++ vcs	2010-03-12 03:17:06.000000000 +0100
@@ -1142,7 +1142,7 @@
 cleanup() {
 	if [ -z $TEMPSTUFF ]; then return 0 ; fi
 	inf "Cleaning up..."
-	rm -rf "${TEMPSTUFF[@]}"
+	rm -rf "${TEMPSTUFF[*]}"
 	unset VCSTEMPDIR
 	unset TEMPSTUFF ; declare -a TEMPSTUFF
 }
@@ -1902,8 +1902,6 @@
 	local tempfile=
 	local ret=0
 
-	# create_temp_dir should have been called
-
 	# This time a resize filter is applied to the player to produce smaller
 	# output
 	if [ $decoder -eq $DEC_MPLAYER ]; then
@@ -1936,8 +1934,6 @@
 	local newlen=$len
 	local capturefn=
 
-	create_temp_dir
-
 	if probe_video "$1" $len ; then
 		inf " File looks fine, suspicion withdrawn"
 		echo "$len"
@@ -2433,7 +2429,6 @@
 	# Last safeguard: Try to reach the detected length, if it fails, trigger
 	# quirks mode
 	if [ $QUIRKS -eq 0 ]; then
-		create_temp_dir
 		if ! probe_video "$1" "${VID[$LEN]}" ; then
 			warn "Detected video length can't be reached. Safe measuring enabled."
 			QUIRKS=1
@@ -2751,6 +2746,7 @@
 		inf "Processing $f..."
 	fi
 
+	create_temp_dir
 	# {{SET_E}} Beware, set -e will break this
 	identify_video "$f"
 	local ecode=$?
@@ -2797,8 +2793,6 @@
 	
 	local nc=$numcaps
 
-	create_temp_dir
-
 	unset TIMECODES
 	# Compute the stamps (if in auto mode)...
 	if [ $manual_mode -eq 1 ]; then

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing